Supported platforms

This page describes the supported platforms for Bamboo 5.13.x.

Java

You only need to run the agent and server using a supported JDK. Agents can build software with any JDK version. 

FlavorVersionSupportComment

Oracle JDK

1.8(tick) yes

 

For Bamboo server, it is not enough to have just the JRE. Please ensure that you have the full JDK.

You can download the Java SE Development Kit (JDK) from the Oracle website.

 

1.7(error) no
1.6(error) no
1.5(error) no

OpenJDK

1.8(tick) yes-
1.7(error) no
1.6(error) no
tip/resting Created with Sketch.

Once the JDK is installed, you will need to set the JAVA_HOME environment variable, pointing to the root directory of the JDK. Some JDK installers set this automatically (check by typing 'echo %JAVA_HOME%' in a command prompt, or 'echo $JAVA_HOME' in a shell). You need to do this before installing Bamboo, as Bamboo will automatically configure JDK capabilities based on the system environment variables on your machine.

 

Operating systems

OSVersionSupportComment

Microsoft Windows

-(tick) yes

Bamboo is a pure Java application and runs on any platform, provided all the JDK requirements are satisfied.

Linux

-(tick) yes

You must create a dedicated user to run Bamboo. Bamboo runs as the user it is invoked under and can potentially be abused. 

An example of how to create a dedicated user to run Bamboo in Linux:

$ sudo /usr/sbin/useradd --create-home --home-dir /usr/local/bamboo --shell /bin/bash bamboo
Solaris

with Java JDK 1.8.x

(tick) yes-
OS X-(tick) yes-


 

 

Application servers

Application serverVersionSupportComment

Apache Tomcat

8.0.x(tick) yesWe only support the Tomcat version bundled with Bamboo.

 

Databases

DatabaseVersionSupportComment

MySQL

5.7(tick) yes

MySQL is supported when used with the JDBC Connector/J 5.1.   

Supported only with the InnoDB storage engine.

5.6(tick) yes
5.5(error) no
5.1(error) no
5.0.x(error) no

PostgreSQL

9.2, 9.3, 9.4, 9.5(tick) yesPostgreSQL is supported when used with the PostgreSQL Driver 9.3.x JDBC4.
9.0, 9.1(error) no
8.x, 9.6(error) no

Microsoft SQL Server

2014(tick) yesSQL Server is supported when used with JTDS 1.3.1.
2012(tick) yes
2008(error) no
2005(error) no

Oracle

12C (tick) yes 
11G(error) no 
10G(error) no 

HSQLDB

-(tick) yes

Evaluation only.

Bamboo ships with a built-in HSQL database, which is fine for evaluation purposes but is somewhat susceptible to data loss during system crashes. For production environments we recommend that you configure Bamboo to use an external database.

Web browsers

BrowserVersionSupportComment
Microsoft Edge-(tick) yesLatest stable version supported.

Microsoft Internet Explorer

11(tick) yes-
8, 9, 10(error) no

Mozilla Firefox

-(tick) yesLatest stable version supported.

Safari

-(tick) yes

Chrome

-(tick) yes

Source repositories

Repository

Version

SupportComment
Mercurial1.7+(tick) yesWe support the latest minor releases of versions 1.7+

Subversion

with server 1.5-1.8

(tick) yes
  • Bamboo 4.2, and later versions, support Subversion 1.7, but use the Subversion 1.6 Workspace Format by default to keep backwards compatibility with older Subversion working copies. You can set the bamboo.svn.wc.format system property if your Bamboo plans need to use Subversion 1.7 commands as part of your build scripts. See Setting Bamboo to Support Subversion 1.7 Workspace Format for details.
  • Bamboo works with Subversion 1.8, and supports the 1.8 Workspace Format.

Git

with client 1.8.1.5+

(tick) yesWe recommend using Git for Windows.

Perforce

-

(tick) yes-

CVS

-(tick) yes-

Agents and custom images

Atlassian doesn't provide support for customized images. Bamboo provides flexibility to use customized machine images, but it's impossible for us to support all individual configurations.

Use Bamboo stock images as the base for all image customizations to ensure a minimal level of consistency of your Elastic Bamboo setup.

 

The requirements for agents and custom images are the following:

Java

Name

Version

Support

Oracle JDK

1.8(tick) yes
1.7(error) no

1.6

(error) no

OpenJDK

1.8

(tick) yes
1.7(error) no
1.6(error) no

For information about stock images in Bamboo, see stock images.

Operating systems

OSVersionSupportComment

Microsoft Windows

-(tick) yesBamboo is a pure Java application and runs on any platform, provided all the JDK requirements are satisfied.

Linux

-(tick) yes

You must create a dedicated user to run Bamboo. Bamboo runs as the user it is invoked under and can potentially be abused. 

An example of how to create a dedicated user to run Bamboo in Linux:

$ sudo /usr/sbin/useradd --create-home --home-dir /usr/local/bamboo --shell /bin/bash bamboo
Solariswith Java JDK 1.8.x(tick) yes-
OS X-(tick) yes-

 

 

 

Last modified on Jul 6, 2017

Was this helpful?

Yes
No
Provide feedback about this article
Powered by Confluence and Scroll Viewport.